Restore a database view
View as MarkdownPOST
/v1/database-views/{id}/restoredocs:writeUndoable
curl -X POST "https://api.lydie.co/v1/database-views/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/restore" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Response
- idULID
- databaseIdULID
- typestring
One of
tableboardlistcalendargallery - configViewConfig
Show 9 fieldsHide fields
Default
null- sortsobject[]
Default
[]Show 2 fieldsHide fields
- propertyIdULID
- directionstring
One of
ascdescDefault
"asc"
Default
nullShow 6 fieldsHide fields
- propertyIdULID
- directionstring
One of
ascdescDefault
"asc" Hide groups with no rows (board columns).
Date grouping; default month.
One of
dayweekmonthyear
Board swimlanes.
Default
nullShow 6 fieldsHide fields
- propertyIdULID
- directionstring
One of
ascdescDefault
"asc" Hide groups with no rows (board columns).
Date grouping; default month.
One of
dayweekmonthyear
- columnsViewColumn[]
Default
[]Show 3 fieldsHide fields
- propertyIdULID
- visibleboolean
Default
true
Default
null- summariesobject
propertyId → summary name
Default
{} - layoutViewLayout
Default
{}Show 11 fieldsHide fields
table
One of
shortmediumtallextratable
board, gallery: px
board, gallery: the card image
One of
covercontainlist
One of
bulletnumbernonecalendar: the date property placing rows
One of
monthweekboard
- extraobject
Default
{}
- createdAttimestamp
- updatedAttimestamp
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"databaseId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"name": "Notes",
"type": "table",
"config": {
"filter": null,
"sorts": [],
"groupBy": null,
"subGroupBy": null,
"columns": [],
"limit": null,
"summaries": {},
"layout": {},
"extra": {}
},
"sortKey": "a0",
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z",
"deletedAt": null,
"createdBy": null,
"updatedBy": null
}Errors use one envelope for every endpoint. See Errors and versions.